Create a payment link
curl --request POST \
--url https://payoes.com/api/v1/payment-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "10.5",
"allowed_assets": [
{
"asset_code": "USDC",
"issuer_address": "<string>"
}
],
"description": "<string>",
"metadata": {}
}
'import requests
url = "https://payoes.com/api/v1/payment-links"
payload = {
"amount": "10.5",
"allowed_assets": [
{
"asset_code": "USDC",
"issuer_address": "<string>"
}
],
"description": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '10.5',
allowed_assets: [{asset_code: 'USDC', issuer_address: '<string>'}],
description: '<string>',
metadata: {}
})
};
fetch('https://payoes.com/api/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "plink_abc123xyz",
"object": "payment_link",
"amount": "<string>",
"settlement_asset": {
"asset_code": "USDC",
"issuer_address": "<string>"
},
"allowed_assets": [
{
"asset_code": "USDC",
"issuer_address": "<string>"
}
],
"active": true,
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"metadata": {}
}{
"error": "Settlement wallet is not configured"
}{
"error": "Unauthorized"
}Payment links
Create a payment link
Creates a reusable payment link. Each visit starts a new checkout session.
Share the returned url (/c/plink_...). Each visit redirects to a new checkout session.
POST
/
payment-links
Create a payment link
Authorizations
API key from the Payoes dashboard (pk_test_... or pk_live_...)
Body
application/json
Stellar amount with up to 7 decimal places
Pattern:
^\d+(\.\d{1,7})?$Example:
"10.5"
Show child attributes
Show child attributes
Minimum array length:
1Show child attributes
Show child attributes
Maximum string length:
500Show child attributes
Show child attributes
Response
Payment link created
Example:
"plink_abc123xyz"
Available options:
payment_link Show child attributes
Show child attributes
Show child attributes
Show child attributes
Checkout entry URL (/c/plink_...)
Available options:
sandbox, production Show child attributes
Show child attributes
⌘I